# Container image that runs your code
FROM rockylinux:9.1

RUN dnf install -y \
    rpm-sign \
    unzip \
    pinentry \
    wget \
    uuid \
    gettext

COPY setup_gpg.sh /setup_gpg.sh
RUN chmod +x /setup_gpg.sh
RUN /setup_gpg.sh

COPY entrypoint.sh /entrypoint.sh
RUN chmod +x /entrypoint.sh

ENTRYPOINT ["/entrypoint.sh"]
